﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace TestXamDataGrid
{
    public class ViewModel : BaseInfo
    {
        ObservableCollection<BookInfo> _CompleteBookCollection = new ObservableCollection<BookInfo>();
        public ObservableCollection<BookInfo> CompleteBookCollection
        {
            get { return _CompleteBookCollection; }
            set { _CompleteBookCollection = value; }
        }

        BookInfo _CurrentBook = new BookInfo();
        public BookInfo CurrentBook
        {
            get { return _CurrentBook; }
            set
            {
                _CurrentBook = value;
                OnPropertyChanged("CurrentBook");
            }
        }

        public ViewModel()
        {
            for (int i = 0; i < 50; i++)
            {
                BookInfo ThisBook = new BookInfo() { Id = i.ToString(), Title = "Book " + i.ToString() };
                CompleteBookCollection.Add(ThisBook);
            }    
        }

    }
}
